## kodi-pvr-hdhomerun-dmo 19.1.0

=== depends/common/hdhomerun/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(hdhomerun)

set(SOURCES hdhomerun_channels.c
            hdhomerun_channelscan.c
            hdhomerun_control.c
            hdhomerun_debug.c
            hdhomerun_device.c
            hdhomerun_discover.c
            hdhomerun_pkt.c
            hdhomerun_video.c)

set(HEADERS ${PROJECT_SOURCE_DIR}/hdhomerun.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_channels.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_channelscan.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_control.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_debug.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_device.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_device_selector.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_discover.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_pkt.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_sock.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_types.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_os.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_video.h)

if(WIN32)
  LIST(APPEND SOURCES hdhomerun_os_windows.c)
  LIST(APPEND SOURCES hdhomerun_sock_windows.c)
  LIST(APPEND HEADERS ${PROJECT_SOURCE_DIR}/hdhomerun_os_windows.h)
else()
  LIST(APPEND SOURCES hdhomerun_os_posix.c)
  LIST(APPEND SOURCES hdhomerun_sock_posix.c)
  LIST(APPEND HEADERS ${PROJECT_SOURCE_DIR}/hdhomerun_os_posix.h)
endif()

if(MSVC)
  set_source_files_properties( ${SOURCES} PROPERTIES LANGUAGE "CXX" )
  add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_WINSOCK_DEPRECATED_NO_WARNINGS)
  if(CMAKE_SYSTEM_NAME STREQUAL WindowsStore)
    add_definitions(-D_WIN32_WINNT=0x0A00 -D_WINRT)
  endif()
elseif(CORE_SYSTEM_NAME STREQUAL android)
  add_definitions(-DLIBHDHOMERUN_USE_SIOCGIFCONF)
endif()

add_library(hdhomerun ${SOURCES})

include_directories(${PROJECT_SOURCE_DIR})

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include/hdhomerun)
install(TARGETS hdhomerun DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== debian/changelog ===
kodi-pvr-hdhomerun-dmo (1:19.1.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Mar 2022 09:06:04 +0100

kodi-pvr-hdhomerun-dmo (1:19.0.2-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Dec 2021 11:15:26 +0100

kodi-pvr-hdhomerun-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Dec 2021 16:03:49 +0100

kodi-pvr-hdhomerun-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 Sep 2021 08:50:50 +0200

kodi-pvr-hdhomerun-dmo (1:7.1.1-dmo) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Jul 2021 07:46:16 +0200

kodi-pvr-hdhomerun-dmo (1:7.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Jan 2021 16:18:36 +0100

kodi-pvr-hdhomerun-dmo (1:3.5.1-dmo2) unstable; urgency=medium

  * Build with libjsoncpp24

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Dec 2020 19:40:46 +0100

kodi-pvr-hdhomerun-dmo (1:3.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Aug 2019 17:44:12 +0200

kodi-pvr-hdhomerun-dmo (1:3.5.0-dmo2) unstable; urgency=medium

  * Rebuild against libjsoncpp1

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 27 Feb 2019 10:27:29 +0100

kodi-pvr-hdhomerun-dmo (1:3.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Jan 2019 11:19:48 +0100

kodi-pvr-hdhomerun-dmo (1:2.4.8-dmo3) unstable; urgency=medium

  * Rebuild against libkodiplatform17.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Mar 2018 12:32:06 +0100

kodi-pvr-hdhomerun-dmo (1:2.4.8-dmo2) unstable; urgency=medium

  * Rebuild against libhdhomerun4

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Aug 2017 13:33:11 +0200

kodi-pvr-hdhomerun-dmo (1:2.4.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Aug 2017 15:53:05 +0200

kodi-pvr-hdhomerun-dmo (1:2.4.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Mar 2017 14:07:28 +0100

kodi-pvr-hdhomerun-dmo (1:2.4.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Feb 2017 15:26:21 +0100

kodi-pvr-hdhomerun-dmo (1:1.0.14-dmo4) unstable; urgency=medium

  * Rebuild against libhdhomerun3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Dec 2016 07:53:30 +0100

kodi-pvr-hdhomerun-dmo (1:1.0.14-dmo3) unstable; urgency=medium

  * Add kerberos 1: to really install this version as 2.4.2+git20160820-1 is
    for kodi 17 not yet in my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Nov 2016 08:19:01 +0100

kodi-pvr-hdhomerun-dmo (1.0.14-dmo2) unstable; urgency=medium

  * Rebuild against libp8-platform2.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Oct 2016 15:56:05 +0200

kodi-pvr-hdhomerun-dmo (1.0.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Jun 2016 15:04:43 +0200

kodi-pvr-hdhomerun-dmo (1.0.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Apr 2016 08:04:42 +0200

kodi-pvr-hdhomerun-dmo (1.0.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Mar 2016 08:05:04 +0100

kodi-pvr-hdhomerun-dmo (1.0.11-dmo11) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Mar 2016 18:19:30 +0100

=== debian/control ===
Source: kodi-pvr-hdhomerun-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/kodi-pvr/pvr.hdhomerun
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
 libhdhomerun-dev (>= 20170815-2~), libjsoncpp-dev, ninja-build

Package: kodi-pvr-hdhomerun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:PVRAPI}
Description: HDHomeRun PVR Addon for Kodi
 HDHomeRun is made by SiliconDust and is a stand-alone networked TV/HDTV
 tuner box. The HDHomeRun can either connect with over the air TV signals
 or with cablecard, and then stream the channels over a network to supported
 clients, such as Kodi.
 .
 This package contains the HDHomeRun PVR (Personal Video Recorder) Addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_installchangelogs:
	dh_installchangelogs pvr.hdhomerun/changelog.txt

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/kodi-pvr/pvr.hdhomerun/tags \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-pvr-hdhomerun-dmo 20.4.0

=== debian/changelog ===
kodi-pvr-hdhomerun-dmo (1:20.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 15:52:02 +0100

kodi-pvr-hdhomerun-dmo (1:19.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Mar 2022 08:43:36 +0100

kodi-pvr-hdhomerun-dmo (1:19.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Dec 2021 00:44:23 +0100

kodi-pvr-hdhomerun-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Dec 2021 12:21:09 +0100

kodi-pvr-hdhomerun-dmo (1:19.0.0-dmo2) unstable; urgency=medium

  * Build with libjsoncpp25

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Dec 2021 00:47:31 +0100

kodi-pvr-hdhomerun-dmo (1:19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Sep 2021 07:37:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/kodi-pvr/pvr.hdhomerun
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
  libhdhomerun-dev (>= 20170815-2~), libjsoncpp-dev, ninja-build
 
 Package: kodi-pvr-hdhomerun

=== debian/watch ===
version=4

https://github.com/kodi-pvr/pvr.hdhomerun/tags \
(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@

## kodi-pvr-hdhomerun-dmo 21.0.4

=== debian/changelog ===
kodi-pvr-hdhomerun-dmo (1:21.0.4-dmo0~bpo12+1) bookworm-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Sep 2025 09:41:31 +0200

kodi-pvr-hdhomerun-dmo (1:21.0.2-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Jan 2025 12:18:14 +0100

kodi-pvr-hdhomerun-dmo (1:21.0.1-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 Apr 2024 08:35:17 +0200

kodi-pvr-hdhomerun-dmo (1:21.0.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Apr 2024 14:42:01 +0200

kodi-pvr-hdhomerun-dmo (1:21.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 14:18:03 +0200

kodi-pvr-hdhomerun-dmo (1:20.4.0-dmo2) unstable; urgency=medium

  * Build with libhdhomerun5

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Sep 2023 00:05:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/kodi-pvr/pvr.hdhomerun
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
- libhdhomerun-dev (>= 20170815-2~), libjsoncpp-dev, ninja-build
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
+ libhdhomerun-dev, libjsoncpp-dev, ninja-build
 
 Package: kodi-pvr-hdhomerun
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	-DCMAKE_BUILD_TYPE=Release
+	-DCMAKE_BUILD_TYPE=RelWithDebInfo
 
 override_dh_makeshlibs:
 	dh_makeshlibs -n
